Skip to content

Accept order

PUT
/api/v3/order-lifecycle/integrations/orders/{orderId}/accept/{storeId}
curl --request PUT \
--url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/order-lifecycle/integrations/orders/example/accept/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '"{\"committedPreparationTime\": \"2024-02-02T19:20:30Z\"}\n"'

Confirms the order was taken into the POS and, optionally, states when it will be ready.

orderId
required
string

Unique identifier of the order.

storeId
required
string

Unique identifier of the store.

Media typeapplication/json
object
committedPreparationTime

CommittedPreparationTime string Optional field that represents the point of time in the future when order is expected to be ready by the store. It allows Glovo to improve the accuracy of the estimated time of arrival of couriers to the store.

The field must is in UTC format complying to ISO 8601 standard and should contain complete date as well as hours, minutes and seconds as follows:

YYYY-MM-DDThh:mm:ssZ (Example: 2024-02-02T19:20:30Z)

If the validation of this field fails, the order will still be accepted with a response containing validation result, but the committed preparation time will not be registered. Important: Committed preparation time can only be increased up to 10 minutes.

Response example if any problem appears { “invalid-params”: [ { “name”: “committedPreparationTime”, “reason”: “Committed preparation time is missing.” } ], “title”: “Your request parameters are not valid.” }

string format: date-time
Example
{"committedPreparationTime": "2024-02-02T19:20:30Z"}

Accept order result

Media typeapplication/json

Error

Media typeapplication/json
string
Examplegenerated
example